Subject: Wu-ftpd woes on IRIX

From: "Erik Patynen" <[email-masked]>
Date: Mon, 26 Jun 1995 18:09:34 +0000

HI

After hours of work getting the wu-ftpd finally running on IRIX 5.3
it seems to be ok but the dir, ls and mget commands woes. When giving
mget command from a DOS machine the wu-ftpd promptly replies that
name expansion failed if I use any wild cards and the dir (ls) just
returns 4 or 8 first filenames. Same happens from MS-Windows based
ftp client. The version is wu-2.4(8) and I do have the shared libraries
in the right directory. So, does anyone know the solution/cause for
such a behaviour??

Erik

-- 
* Erik Patynen         **IXTJ**          <grin>       [email-masked] *
* EVITech                       Finland                  [email-masked] *
* Espoo-Vantaa Institute of Technology, Department of Information Technology *
* <A HREF="http://www.evitech.fi/~erikp/home.shtml">Erik's Home Page</A> *****

---

From: "Ephram Cohen" <[email-masked]>
Date: Mon, 26 Jun 1995 09:56:23 -0700

On Jun 26,  6:09pm, Erik Patynen wrote:
> Subject: Wu-ftpd woes on IRIX
> HI
>
>  When giving

I had a similar problem except with IRIX 5.2.  I found what I think
is the #def for the expansion size.  Look in glob.c in the src directory.
There is a variable NCARGS.  In my distribution it was referenced but not
defined so I made one.  #define NCARGS (600).  I did a little roaching around
to try to determine what units this represents, but, no luck so I just made
it large.  I tried a smaller value and wu-ftpd would only expand some
of the mget.  Larger values seemed to allow for more file name expansion
space.  Hope this helps.

Ephram Cohen